Bug 522600 - bnx2x: increase coalescing granularity to 4us instead of 12us
Summary: bnx2x: increase coalescing granularity to 4us instead of 12us
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 5.5
Assignee: Stanislaw Gruszka
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
: 509585 (view as bug list)
Depends On: 515716
Blocks: 533192 525215 533941
TreeView+ depends on / blocked
 
Reported: 2009-09-10 19:38 UTC by Flavio Leitner
Modified: 2018-11-28 20:05 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 07:27:16 UTC


Attachments (Terms of Use)
bnx2x: 4us coalescing granularity (1.79 KB, patch)
2009-10-15 15:42 UTC, Eilon Greenstein
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Flavio Leitner 2009-09-10 19:38:41 UTC
This continues bz#509585 regarding with Broadcom 10G firmware granularity.

Theoretically, it seems possible to increase the granularity to 4us instead 
of 12us, but according with Broadcom this is a delicate change that might 
cause some unexpected side effects.

Comment 1 Flavio Leitner 2009-09-10 19:43:42 UTC
Hi Eilon, Vladislav.

Could you guys give us a status update on this?

thank you!

Comment 2 Eilon Greenstein 2009-09-29 12:36:35 UTC
Hi,

My apologies for the late response - I was on vacation.

I can provide a patch to set the granularity to 4us instead of 12, but internal testing did not show any improvement. This was expected due to FW mechanism that sends the first interrupt as soon as it is received and only then enforces the required minimal time before issuing the second interrupt. So if a packet was received after more than 12us (or 48 as it is configured by default) it will cause an interrupt to be issued immediately - decreasing the minimal timeout to 4us did not actually improve anything.

I will post this patch anyway to Dave Miller's net-next once the merge window will open.

Regards,
Eilon

Comment 5 Flavio Leitner 2009-10-13 17:48:32 UTC
Hi Eilon,

Do you mind to attach the patch here too? I think the merge window isn't
opened yet and we can be testing it on our test system too.

thanks,
Flavio

Comment 6 Eilon Greenstein 2009-10-15 15:42:14 UTC
Created attachment 364942 [details]
bnx2x: 4us coalescing granularity

This patch will do the trick

Comment 9 Flavio Leitner 2009-10-23 14:39:24 UTC
Hi Eilon,

I thought it would require a firmware change too, right?
Can you provide? Or where can we get it?

thanks!

Comment 10 Eilon Greenstein 2009-10-25 08:24:46 UTC
Actually, this patch is enough. No FW change is required. This change will set the HW timers that the FW is using to 4us instead of 12us so the FW itself does not need to change.

Regards,
Eilon

Comment 12 Eilon Greenstein 2009-11-26 14:29:44 UTC
Hi,

This patch is part of version 1.52.1-5 which is integrated to RH5.5 as part of BZ 515716.

Regards,
Eilon

Comment 13 Stanislaw Gruszka 2009-11-26 15:20:30 UTC
(In reply to comment #12)
> This patch is part of version 1.52.1-5 which is integrated to RH5.5 as part of
> BZ 515716.

Yes. I decide to do not close this bug as duplicate just for additional testing.

Comment 14 Don Zickus 2009-12-15 20:19:07 UTC
in kernel-2.6.18-181.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please update the appropriate value in the Verified field
(cf_verified) to indicate this fix has been successfully
verified. Include a comment with verification details.

Comment 17 Stanislaw Gruszka 2010-02-09 07:19:15 UTC
*** Bug 509585 has been marked as a duplicate of this bug. ***

Comment 18 Chris Ward 2010-02-11 10:23:20 UTC
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.

Comment 22 errata-xmlrpc 2010-03-30 07:27:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.